Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® Q10

Reply
Contributor
Posts: 25
Registered: ‎10-17-2013
My Device: Q10
My Carrier: Airtel India

Q10 to work with old blackberry software

Is there any way, we can downgrade the Q10 OS to old blackberry devices OS. i think that will solve most of Q10 issues.

Blackberry should definetely give this option to Q10 owners.

Trusted Contributor
Posts: 215
Registered: ‎09-28-2009
My Device: BlackBerry 9370
My Carrier: Verizon

Re: Q10 to work with old blackberry software

Nope. BB10 only runs on the new generation of BlackBerrys. That is the Q10, Z10, Q5, and Z30. Older devices cannot run the BB10 operatiing system as the internal architecture is radically different. Likewise, the new generation of BB10 devices are incapable of running BB7.